%define upstream_name Newt
%define upstream_version 1.08

%{?perl_default_filter}

Name:           perl-%{upstream_name}
Version:        %perl_convert_version %{upstream_version}
Release:        %mkrel 4
Summary:        Edit configuration files through Augeas C library
License:        Artistic
Group:          System/Configuration
URL:            http://search.cpan.org/dist/%{upstream_name}
Source0:        http://search.cpan.org/CPAN/authors/id/A/AM/AMEDINA/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:		newt-perl-1.08-debian.patch
Patch1:		newt-perl-1.08-typemap.patch
Patch2:		newt-perl-1.08-fix.patch
Patch3:		newt-perl-1.08-xs.patch
Patch4:		newt-perl-1.08-lang.patch
Patch5:		perl-Newt-bz385751.patch

BuildRequires:  perl-devel,newt-devel,popt-devel

%description
Perl bindings for RedHat newt library

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%patch0 -p1 -b .debian
%patch1 -p1 -b .valist
%patch2 -p1 -b .fix
%patch3 -p1 -b .exes
%patch4 -p1 -b .lang
%patch5 -p1 -b .bz385751
rm -rf newtlib

%build
%__perl Makefile.PL PREFIX=%{_prefix} INSTALLDIRS=vendor OPTIMIZE="$RPM_OPT_FLAGS"
make

%install
%make_install
find %{buildroot} -type f -name perllocal.pod -o -name .packlist -o -name '*.bs' -a -size 0 | xargs rm -f
find %{buildroot} -type d -depth | xargs rmdir --ignore-fail-on-non-empty

%files
%doc ChangeLog README
%{perl_vendorlib}/*
%{_mandir}/man3/*


%changelog
* Wed Jul 12 2017 bb2 <bb2> - 1.80.0-4pclos2017
- rebuild against updates

